This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 39407 - Picker wrong SelectedIndex value
Summary: Picker wrong SelectedIndex value
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 2.0.0
Hardware: All All
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
: 39408 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-03-07 12:56 UTC by Rohit
Modified: 2017-02-23 18:42 UTC (History)
5 users (show)

See Also:
Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments

Description Rohit 2016-03-07 12:56:03 UTC
Once the chooser pops up after tapping the picker in iOS, if I adjust the selected item and press the "Done" button very quickly (i.e. before the "wheel" animation has completely finished moving), the newly selected item is not accepted by the picker and it still shows the previous value.

I was able to reproduce the issue on the following versions - Xamarin.Forms 2.1.0.6524, Xamarin.Forms 2.0.1.6495, Xamarin.Forms 2.0.0.6490
Comment 1 Sebastien Pouliot 2016-03-07 14:21:45 UTC
*** Bug 39408 has been marked as a duplicate of this bug. ***
Comment 2 Sebastien Pouliot 2016-03-07 14:25:13 UTC
That sounds like a Forms issues.

If not then please re-assign it back to XI and include all version information [1] and a test case.

[1] The easiest way to get exact version information is to use the "Xamarin Studio" menu, "About Xamarin Studio" item, "Show Details" button and copy/paste the version informations (you can use the "Copy Information" button).
Comment 3 Rohit 2016-03-09 10:50:42 UTC
=== Xamarin Studio ===

Version 5.10.3 (build 26)
Installation UUID: 63ebd969-050f-4a4d-9d58-80f9e046c729
Runtime:
	Microsoft .NET 4.0.30319.42000
	GTK+ 2.24.23 (MS-Windows theme)
	GTK# 2.12.30

=== Xamarin.Profiler ===

Not Installed

=== Xamarin.Android ===

Version: 6.0.2.1 (Business Edition)
Android SDK: C:\Users\Administrator\AppData\Local\Android\android-sdk
	Supported Android versions:
		2.3    (API level 10)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
		5.1    (API level 22)
		6.0    (API level 23)

SDK Tools Version: 24.4.1
SDK Platform Tools Version: 23.1

SDK Build Tools Version: 23.0.2


Java SDK: C:\Program Files (x86)\Java\jdk1.7.0_71
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) Client VM (build 24.71-b01, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin Android Player ===

Not Installed

=== Build Information ===

Release ID: 510030026
Git revision: ac9b7fcba9ee92ac30c8eb90f20c2228ce033efa
Build date: 2016-03-01 19:16:08-05
Xamarin addins: 633fde3bf405e3c402a51980976c431c204cf4f6
Build lane: monodevelop-windows-cycle6-c6sr2

=== Operating System ===

Windows 6.3.9600.0 (64-bit)
Comment 4 Rohit 2016-03-09 10:51:46 UTC
Microsoft Visual Studio Professional 2015
Version 14.0.24720.00 Update 1
Microsoft .NET Framework
Version 4.6.01055

Installed Version: Professional

Visual Basic 2015   00325-60002-13802-AA755
Microsoft Visual Basic 2015

Visual C# 2015   00325-60002-13802-AA755
Microsoft Visual C# 2015

Visual C++ 2015   00325-60002-13802-AA755
Microsoft Visual C++ 2015

Windows Phone SDK 8.0 - ENU   00325-60002-13802-AA755
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015 (RC1 Update 1)   14.1.11120.0
ASP.NET and Web Tools 2015 (RC1 Update 1)

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.30624.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.7.1   14.0.11112.0
Azure App Service Tools v2.7.1

Common Azure Tools   1.5
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

GitHub.VisualStudio   1.0
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JetBrains ReSharper Ultimate 10.0.2   Build 104.0.20151218.120627
JetBrains ReSharper Ultimate package for Microsoft Visual Studio. For more information about ReSharper Ultimate, visit http://www.jetbrains.com/resharper. Copyright © 2016 JetBrains, Inc.

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

NuGet Package Manager   3.3.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2015 ENU   14.0.23025
Microsoft Office Developer Tools for Visual Studio 2015 ENU

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.50616.0
Microsoft SQL Server Data Tools

TypeScript   1.7.4.0
TypeScript for Microsoft Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.24720.00
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   4.0.1.145 (f869dba)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   6.0.2.1 (46c3f7e)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   9.4.2.24 (49ba15e)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 5 Jason Smith 2016-03-11 09:05:28 UTC
I am unable to recreate this locally. Can you make a video of the issue maybe along with a test case? Maybe im not fast enough?
Comment 6 Samantha Houts 2017-02-23 18:42:08 UTC
Should be fixed in 2.3.5-pre1. Thank you!

Note You need to log in before you can comment on or make changes to this bug.